export const menuTheme = {
  light: {
    '--el-menu-bg-color': '#304156',
    '--el-menu-hover-bg-color': '#001528',
    '--el-menu-active-bg-color': '',
    '--el-menu-text-color': 'rgb(191, 203, 217)',
    '--el-menu-active-color': 'rgb(64, 158, 255)',
    '--el-menu-hover-text-color': 'rgb(191, 203, 217)',
    '--el-menu-horizontal-sub-item-height': '50px',
  },
  inverted: {
    '--el-menu-bg-color': '#191a20',
    '--el-menu-hover-bg-color': '#000000',
    '--el-menu-active-bg-color': '#000000',
    '--el-menu-text-color': '#bdbdc0',
    '--el-menu-active-color': '#ffffff',
    '--el-menu-hover-text-color': '#ffffff',
    '--el-menu-horizontal-sub-item-height': '50px',
  },
  dark: {
    '--el-menu-bg-color': '#141414',
    '--el-menu-hover-bg-color': '#000000',
    '--el-menu-active-bg-color': '#000000',
    '--el-menu-text-color': '#bdbdc0',
    '--el-menu-active-color': '#ffffff',
    '--el-menu-hover-text-color': '#ffffff',
    '--el-menu-horizontal-sub-item-height': '50px',
  },
};
